# module Goo::CanvasItem

### Public Instance Methods

bounds() click to toggle source

    # File lib/goocanvas.rb, line 62
    def bounds
      [x1, x2, y1, y2]
    end

height() click to toggle source

    # File lib/goocanvas.rb, line 70
    def height
      y2 - y1
    end

set_child_properties(child, *args) click to toggle source

    # File lib/goocanvas.rb, line 57
    def set_child_properties(child, *args)
      hash = Goo.args_to_hash(args)
      hash.each_pair { |key, value| set_child_property(child, key, value) }
    end

width() click to toggle source

    # File lib/goocanvas.rb, line 66
    def width
      x2 - x1
    end

x() click to toggle source

    # File lib/goocanvas.rb, line 74
    def x
      x1
    end

y() click to toggle source

    # File lib/goocanvas.rb, line 78
    def y
      y1
    end